Altibase.jdbc.driver.sharding.core

## Class ServerSideShardingCallableStatement

- java.lang.Object
- - Altibase.jdbc.driver.sharding.core.ServerSideShardingStatement
  - - Altibase.jdbc.driver.sharding.core.ServerSideShardingPreparedStatement
    - - Altibase.jdbc.driver.sharding.core.ServerSideShardingCallableStatement

All Implemented Interfaces:
  InternalShardingCallableStatement, InternalShardingPreparedStatement, InternalShardingStatement

    public class ServerSideShardingCallableStatement
    extends ServerSideShardingPreparedStatement
    implements InternalShardingCallableStatement

java.sql.CallableStatement 인터페이스 중 일부를 구현하며 내부적으로 서버사이드용 CallableStatement를 이용해 쿼리를 수행한다.

### Constructor Summary

Constructors
Constructor and Description
`ServerSideShardingCallableStatement(java.sql.CallableStatement aServerSideCallableStmt, AltibaseShardingConnection aMetaConn)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.math.BigDecimal` `getBigDecimal(int aParameterIndex)`
`java.math.BigDecimal` `getBigDecimal(int aParameterIndex, int aScale)`
`java.math.BigDecimal` `getBigDecimal(java.lang.String aParameterName)`
`java.sql.Blob` `getBlob(int aParameterIndex)`
`java.sql.Blob` `getBlob(java.lang.String aParameterName)`
`boolean` `getBoolean(int aParameterIndex)`
`boolean` `getBoolean(java.lang.String aParameterName)`
`byte` `getByte(int aParameterIndex)`
`byte` `getByte(java.lang.String aParameterName)`
`byte[]` `getBytes(int aParameterIndex)`
`byte[]` `getBytes(java.lang.String aParameterName)`
`java.sql.Clob` `getClob(int aParameterIndex)`
`java.sql.Clob` `getClob(java.lang.String aParameterName)`
`java.sql.Date` `getDate(int aParameterIndex)`
`java.sql.Date` `getDate(int aParameterIndex, java.util.Calendar aCal)`
`java.sql.Date` `getDate(java.lang.String aParameterName)`
`java.sql.Date` `getDate(java.lang.String aParameterName, java.util.Calendar aCal)`
`double` `getDouble(int aParameterIndex)`
`double` `getDouble(java.lang.String aParameterName)`
`float` `getFloat(int aParameterIndex)`
`float` `getFloat(java.lang.String aParameterName)`
`int` `getInt(int aParameterIndex)`
`int` `getInt(java.lang.String aParameterName)`
`long` `getLong(int aParameterIndex)`
`long` `getLong(java.lang.String aParameterName)`
`java.lang.Object` `getObject(int aParameterIndex)`
`java.lang.Object` `getObject(java.lang.String aParameterName)`
`short` `getShort(int aParameterIndex)`
`short` `getShort(java.lang.String aParameterName)`
`java.lang.String` `getString(int aParameterIndex)`
`java.lang.String` `getString(java.lang.String aParameterName)`
`java.sql.Time` `getTime(int aParameterIndex)`
`java.sql.Time` `getTime(int aParameterIndex, java.util.Calendar aCal)`
`java.sql.Time` `getTime(java.lang.String aParameterName)`
`java.sql.Time` `getTime(java.lang.String aParameterName, java.util.Calendar aCal)`
`java.sql.Timestamp` `getTimestamp(int aParameterIndex)`
`java.sql.Timestamp` `getTimestamp(int aParameterIndex, java.util.Calendar aCal)`
`java.sql.Timestamp` `getTimestamp(java.lang.String aParameterName)`
`java.sql.Timestamp` `getTimestamp(java.lang.String aParameterName, java.util.Calendar aCal)`
`boolean` `wasNull()`

### Methods inherited from class Altibase.jdbc.driver.sharding.core.ServerSideShardingPreparedStatement

`addBatch, clearBatch, clearParameters, execute, executeBatch, executeQuery, executeUpdate, getMetaData, getParameterMetaData, rePrepare, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setShort, setString, setTime, setTime, setTimestamp, setTimestamp`

### Methods inherited from class Altibase.jdbc.driver.sharding.core.ServerSideShardingStatement

`cancel, clearForGeneratedKeys, clearWarnings, close, execute, execute, execute, execute, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getUpdateCount, getWarnings, hasNoData, isPrepared, makeQstrForGeneratedKeys, setCursorName, setEscapeProcessing, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Altibase.jdbc.driver.sharding.core.InternalShardingPreparedStatement

`addBatch, clearBatch, clearParameters, execute, executeBatch, executeQuery, executeUpdate, getMetaData, getParameterMetaData, rePrepare, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setShort, setString, setTime, setTime, setTimestamp, setTimestamp`

### Methods inherited from interface Altibase.jdbc.driver.sharding.core.InternalShardingStatement

`cancel, clearForGeneratedKeys, clearWarnings, close, getConnection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getUpdateCount, getWarnings, hasNoData, isPrepared, makeQstrForGeneratedKeys, setCursorName, setEscapeProcessing, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

### Constructor Detail

#### ServerSideShardingCallableStatement

    public ServerSideShardingCallableStatement(java.sql.CallableStatement aServerSideCallableStmt,
                                               AltibaseShardingConnection aMetaConn)

### Method Detail

#### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

Specified by:
  `wasNull` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getString

    public java.lang.String getString(int aParameterIndex)
                               throws java.sql.SQLException

Specified by:
  `getString` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public boolean getBoolean(int aParameterIndex)
                       throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getByte

    public byte getByte(int aParameterIndex)
                 throws java.sql.SQLException

Specified by:
  `getByte` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getShort

    public short getShort(int aParameterIndex)
                   throws java.sql.SQLException

Specified by:
  `getShort` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getInt

    public int getInt(int aParameterIndex)
               throws java.sql.SQLException

Specified by:
  `getInt` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getLong

    public long getLong(int aParameterIndex)
                 throws java.sql.SQLException

Specified by:
  `getLong` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getFloat

    public float getFloat(int aParameterIndex)
                   throws java.sql.SQLException

Specified by:
  `getFloat` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getDouble

    public double getDouble(int aParameterIndex)
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int aParameterIndex,
                                              int aScale)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes(int aParameterIndex)
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(int aParameterIndex)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(int aParameterIndex)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(int aParameterIndex)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(int aParameterIndex)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int aParameterIndex)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getBlob

    public java.sql.Blob getBlob(int aParameterIndex)
                          throws java.sql.SQLException

Specified by:
  `getBlob` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getClob

    public java.sql.Clob getClob(int aParameterIndex)
                          throws java.sql.SQLException

Specified by:
  `getClob` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(int aParameterIndex,
                                 java.util.Calendar aCal)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(int aParameterIndex,
                                 java.util.Calendar aCal)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(int aParameterIndex,
                                           java.util.Calendar aCal)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getString

    public java.lang.String getString(java.lang.String aParameterName)
                               throws java.sql.SQLException

Specified by:
  `getString` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public boolean getBoolean(java.lang.String aParameterName)
                       throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getByte

    public byte getByte(java.lang.String aParameterName)
                 throws java.sql.SQLException

Specified by:
  `getByte` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getShort

    public short getShort(java.lang.String aParameterName)
                   throws java.sql.SQLException

Specified by:
  `getShort` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getInt

    public int getInt(java.lang.String aParameterName)
               throws java.sql.SQLException

Specified by:
  `getInt` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getLong

    public long getLong(java.lang.String aParameterName)
                 throws java.sql.SQLException

Specified by:
  `getLong` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getFloat

    public float getFloat(java.lang.String aParameterName)
                   throws java.sql.SQLException

Specified by:
  `getFloat` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getDouble

    public double getDouble(java.lang.String aParameterName)
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes(java.lang.String aParameterName)
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(java.lang.String aParameterName)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(java.lang.String aParameterName)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String aParameterName)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(java.lang.String aParameterName)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String aParameterName)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getBlob

    public java.sql.Blob getBlob(java.lang.String aParameterName)
                          throws java.sql.SQLException

Specified by:
  `getBlob` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getClob

    public java.sql.Clob getClob(java.lang.String aParameterName)
                          throws java.sql.SQLException

Specified by:
  `getClob` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(java.lang.String aParameterName,
                                 java.util.Calendar aCal)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(java.lang.String aParameterName,
                                 java.util.Calendar aCal)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String aParameterName,
                                           java.util.Calendar aCal)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `InternalShardingCallableStatement`
Throws:
  `java.sql.SQLException`